LibOFX

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
LibofxContext Class Reference

## Public Member Functions
LibofxFileFormat | currentFileType () const
void | setCurrentFileType (LibofxFileFormat t)
const std::string & | dtdDir () const
void | setDtdDir (const std::string &s)
int | statementCallback (const struct OfxStatementData data)
int | accountCallback (const struct OfxAccountData data)
int | transactionCallback (const struct OfxTransactionData data)
int | securityCallback (const struct OfxSecurityData data)
int | statusCallback (const struct OfxStatusData data)
void | setStatusCallback (LibofxProcStatusCallback cb, void *user_data)
void | setAccountCallback (LibofxProcAccountCallback cb, void *user_data)
void | setSecurityCallback (LibofxProcSecurityCallback cb, void *user_data)
void | setTransactionCallback (LibofxProcTransactionCallback cb, void *user_data)
void | setStatementCallback (LibofxProcStatementCallback cb, void *user_data)
LibofxFileFormat | currentFileType () const
void | setCurrentFileType (LibofxFileFormat t)
const std::string & | dtdDir () const
void | setDtdDir (const std::string &s)
int | statementCallback (const struct OfxStatementData data)
int | accountCallback (const struct OfxAccountData data)
int | transactionCallback (const struct OfxTransactionData data)
int | securityCallback (const struct OfxSecurityData data)
int | statusCallback (const struct OfxStatusData data)
void | setStatusCallback (LibofxProcStatusCallback cb, void *user_data)
void | setAccountCallback (LibofxProcAccountCallback cb, void *user_data)
void | setSecurityCallback (LibofxProcSecurityCallback cb, void *user_data)
void | setTransactionCallback (LibofxProcTransactionCallback cb, void *user_data)
void | setStatementCallback (LibofxProcStatementCallback cb, void *user_data)

## Detailed Description

Definition at line 25 of file context.hh.

The documentation for this class was generated from the following files:

- context.hh
- context.cpp